% Simplified model with constant heat capacities
function derivs = PFRAcetoneSimplified(v,y,FAF,CAF,TF,Fa,U,A)
global R
Cp_A = 163.89;
Cp_K = 84.65;
Cp_M = 71.79;
Cp_Air = 33.44;
lnk0 = 42.529;
k0 = exp(lnk0);  % 1/hr
E = 284522; % kJ/kgmol
FA = y(1);
T = y(2);
Ta = y(3);
FK = FAF - FA;
FM = FAF - FA;
FT = FA + FK + FM;
CA = FA/FT*CAF*TF/T;  % kgmol/m3
rA = k0*exp(-E/R/T)*CA ;
derivs(1) = -rA;
SumFCp = FA*Cp_A + FK*Cp_K + FM*Cp_M;
derivs(2) = (rA*(-HtRxn(T))+U*A*(Ta-T))/SumFCp;
derivs(3) = U*A*(Ta-T)/Fa/Cp_Air;
derivs = derivs';

